Solid Edge FrameworkSupport Type Library
Axis Property
Description
Sets and returns the object used as the axis for the referenced object. It must be a line.
Property type
Read-write property
Syntax
Visual Basic
Public Property Axis As Object
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFramework.Application
    Dim objDoc As SolidEdgePart.PartDocument
    Dim objProfile As SolidEdgePart.Profile
    Dim objL1 As SolidEdgeFrameworkSupport.Line2d
    Dim objL2 As SolidEdgeFrameworkSupport.Line2d
    Dim objAxis As SolidEdgeFrameworkSupport.Line2d
    Dim objDimns As SolidEdgeFrameworkSupport.Dimensions
    Dim objD1 As SolidEdgeFrameworkSupport.Dimension
    Dim sDumpStatus As String    ' Used for temporary storage of datadump return string
    ' Report errors
    Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.PartDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    ' Create an empty Profile
    Set objProfile = objDoc.ProfileSets.Add.Profiles.Add(pRefPlaneDisp:= _
                                                         objDoc.RefPlanes(1))
    ' Create 3 Line objects in the Profile
    Set objL1 = objProfile.Lines2d.AddBy2Points(x1:=0.05, y1:=0.05, x2:=0.08, y2:=0.05)
    Set objL2 = objProfile.Lines2d.AddBy2Points(x1:=-0.05, y1:=0.025, x2:=0.03, y2:=0.05)
    Set objDimns = objProfile.Dimensions
    ' Set the Axis Mode to Explict
    objDimns.AxisMode = igDimAxisModeExplicit
    ' Set the objL2 as Axis for Dimensions object
    objDimns.Axis = objL2
    'Get the Dimension Axis
    Set objAxis = objDimns.Axis
    ' USER DISPLAY
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objProfile = Nothing
    Set objDimns = Nothing
    Set objL1 = Nothing
    Set objL2 = Nothing
    Set objAxis = Nothing
    Set objD1 = Nothing
End Sub
See Also

Dimensions Collection  | Dimensions Members

Send comments on this topic.